Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.transport.publickey
Class Base64EncodedFileFormat

    java.lang.Object
      com.sshtools.j2ssh.transport.publickey.Base64EncodedFileFormat

All Implemented Interfaces:
  SshKeyFormatConversion

Direct Known Subclasses:
  SECSHPublicKeyFormat, SshtoolsPrivateKeyFormat

public abstract class Base64EncodedFileFormat
extends java.lang.Object
implements SshKeyFormatConversion

DOCUMENT ME!

Field Summary
`protected java.lang.String` | `begin` DOCUMENT ME!
`protected java.lang.String` | `end` DOCUMENT ME!

Constructor Summary
`protected` | `Base64EncodedFileFormat(java.lang.String begin, java.lang.String end)` Creates a new Base64EncodedFileFormat object.

Method Summary
`byte[]` | `formatKey(byte[] keyblob)` DOCUMENT ME!
`java.lang.String` | `getFormatType()` DOCUMENT ME!
`java.lang.String` | `getHeaderValue(java.lang.String headerTag)` DOCUMENT ME!
`byte[]` | `getKeyBlob(byte[] formattedKey)` DOCUMENT ME!
`boolean` | `isFormatted(byte[] formattedKey)` DOCUMENT ME!
`void` | `setHeaderValue(java.lang.String headerTag, java.lang.String headerValue)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### begin

    protected java.lang.String begin

  DOCUMENT ME!

### end

    protected java.lang.String end

  DOCUMENT ME!

Constructor Detail

### Base64EncodedFileFormat

    protected Base64EncodedFileFormat(java.lang.String begin,
                                      java.lang.String end)

  Creates a new Base64EncodedFileFormat object.

Parameters:
  `begin` - DOCUMENT ME!
  `end` - DOCUMENT ME!

Method Detail

### getFormatType

    public java.lang.String getFormatType()

  DOCUMENT ME!

  Specified by:
    `getFormatType` in interface `SshKeyFormatConversion`
  Returns:
    DOCUMENT ME!

### isFormatted

    public boolean isFormatted(byte[] formattedKey)

  DOCUMENT ME!

  Specified by:
    `isFormatted` in interface `SshKeyFormatConversion`
  Parameters:
    `formattedKey` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### setHeaderValue

    public void setHeaderValue(java.lang.String headerTag,
                               java.lang.String headerValue)

  DOCUMENT ME!

  Parameters:
    `headerTag` - DOCUMENT ME!
    `headerValue` - DOCUMENT ME!

### getHeaderValue

    public java.lang.String getHeaderValue(java.lang.String headerTag)

  DOCUMENT ME!

  Parameters:
    `headerTag` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

### getKeyBlob

    public byte[] getKeyBlob(byte[] formattedKey)
                      throws InvalidSshKeyException

  DOCUMENT ME!

  Specified by:
    `getKeyBlob` in interface `SshKeyFormatConversion`
  Parameters:
    `formattedKey` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `InvalidSshKeyException` - DOCUMENT ME!

### formatKey

    public byte[] formatKey(byte[] keyblob)

  DOCUMENT ME!

  Specified by:
    `formatKey` in interface `SshKeyFormatConversion`
  Parameters:
    `keyblob` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD